<!DOCTYPE html>
<html>
<head lang="en">
    <meta charset="UTF-8">
    <title>Acad276 Practical Exam: Details</title>
    <style>
        .container {
            width:  800px;
            margin: auto;
        }
        h1 {
            margin: auto;
            text-align: center;
            background-color:   #900;
            color:  #FC0;
            height: 60px;
            line-height: 60px;
        }
        .details {
            border:     1px solid #990000;
            width:      600px;
            margin:     auto;
            margin-top: 20px;
            padding:    20px;
        }
        table {
            height: 300px;
            width:      100%;
        }
        table img {
            height: 300px;

        }
        img {
            width: 300px;

        }
        .label {
            text-align: right;
            width:      20%;
            padding:    3px 10px 3px;
        }
        .data {
            width: 40%;
        }
        .input>input, .input>select {
            width:  100%;
        }
        .nav-link{
            margin: 10px 0px;
            font-size: 14px;
        }
    </style>
</head>
<body>
<div class="container">
    <h1>Mobile Device Database: Details Page</h1>
    <div class="nav-link">
        <a href="search.php"><< Back to Search Page</a>
    </div>
    
    <?php
    $servername = "webdev.iyaserver.com";
    $username = "dent_guest";
    $password = "Acad276_Dev2Ex@m";
    $dbname = "dent_exam";

    if (!isset($_GET['id']) || empty($_GET['id'])) {
        header("Location: search.php");
        exit();
    }

    $device_id = $_GET['id'];

    $conn = new mysqli($servername, $username, $password, $dbname);
    if ($conn->connect_error) {
        die("Connection failed: " . $conn->connect_error);
    }

    $query = "
        SELECT devices.name, devices.price, manufacturers.manufacturer, 
               systems.system, types.type
        FROM devices
        JOIN manufacturers ON devices.manufacturer_id = manufacturers.manufacturer_id
        JOIN systems ON devices.system_id = systems.system_id
        JOIN types ON devices.type_id = types.type_id
        WHERE devices.device_id = '$device_id'
    ";

    $result = $conn->query($query);
    if (!$result) {
        die("Error executing query: " . $conn->error);
    }

    if ($result->num_rows == 0) {
        echo "<p>No details found for this device.</p>";
    } else {
        $row = $result->fetch_assoc();
        $name = $row['name'];
        $price = $row['price'];
        $manufacturer = $row['manufacturer'];
        $system = $row['system'];
        $type = $row['type'];
    }
    ?>

    <div class="details">
        <table>
            <tr>
                <td rowspan="5" class="img">
                    <img src="https://image.shutterstock.com/image-vector/vector-sketch-illustration-human-hand-260nw-605728496.jpg" class="img">
                </td>
                <td class="label">Name:</td>
                <td class="data"><strong><em><?php echo $name; ?></em></strong></td>
            </tr>
            <tr>
                <td class="label">Price:</td>
                <td><strong><?php echo $price; ?></strong></td>
            </tr>
            <tr>
                <td class="label">Manufacturer:</td>
                <td><?php echo $manufacturer; ?></td>
            </tr>
            <tr>
                <td class="label">System:</td>
                <td><?php echo $system; ?></td>
            </tr>
            <tr>
                <td class="label">Type:</td>
                <td><?php echo $type; ?></td>
            </tr>
        </table>
    </div>

</div>
</body>

</html>