<!DOCTYPE html>

<html>

<head lang="en">
    <meta charset="UTF-8">
    <title>Acad276 Practical Exam: Results</title>
    <style>

        .container {
            width:  600px;
            margin: auto;

        }

        h1 {
            margin: auto;
            text-align: center;
            background-color:   #900;
            color:  #FC0;
            height: 60px;
            line-height: 60px;
        }

        .num-results {
            margin: 20px 10px;

        }

        table {
            margin: auto;
            margin-bottom: 20px;
            width:  80%;
            border-collapse: collapse;

        }

        th, td {
            border: 1px solid #900;
            border-collapse: collapse;
            padding:    10px;
            text-align: center;
        }

        img {
            width: 100px;

        }

        .nav-link{
            margin: 10px 0px;
            font-size: 14px;
        }

    </style>

</head>

<body>

<div class="container">

    <h1>Mobile Device Database: Search Results</h1>
    <div class="nav-link">
        <a href="search.php"><< Back to Search Page</a>
    </div>
    
    <?php
    $servername = "webdev.iyaserver.com";
    $username = "dent_guest";
    $password = "Acad276_Dev2Ex@m";
    $dbname = "dent_exam";

    $conn = new mysqli($servername, $username, $password, $dbname);
    if ($conn->connect_error) {
        die("Connection failed: " . $conn->connect_error);
    }

    if (empty($_GET['manufacturer_id']) || empty($_GET['system_id']) || empty($_GET['type_id'])) {
        echo "<p>Error: All fields must be selected.</p>";
        exit();
    }
    
    $device_name = $_GET['device_name'];
    $manufacturer = $_GET['manufacturer_id'];
    $system = $_GET['system_id'];
    $type = $_GET['type_id'];

    $query = "
        SELECT devices.device_id AS device_id, devices.name, devices.price, 
               manufacturers.manufacturer AS manufacturer_name, 
               systems.system AS system_name, 
               types.type AS type_name
        FROM devices
        JOIN manufacturers ON devices.manufacturer_id = manufacturers.manufacturer_id
        JOIN systems ON devices.system_id = systems.system_id
        JOIN types ON devices.type_id = types.type_id
        WHERE 1=1
    ";

    if (!empty($device_name)) {
        $query .= " AND devices.name LIKE '%$device_name%'";
    }
    if ($manufacturer !== "ALL") {
        $query .= " AND manufacturers.manufacturer = '$manufacturer'";
    }
    if ($system !== "ALL") {
        $query .= " AND systems.system = '$system'";
    }
    if ($type !== "ALL") {
        $query .= " AND types.type = '$type'";
    }

    $result = $conn->query($query);
    if (!$result) {
        die("Error executing query: " . $conn->error);
    }

    $num_results = $result->num_rows;
    echo "<div class='num-results'>Your search returned <strong>$num_results</strong> results.</div>";

    echo "<table>
            <tr>
                <th>Name</th>
                <th>Price</th>
                <th>Manufacturer</th>
                <th>System</th>
                <th>Type</th>
            </tr>";
            
    while ($row = $result->fetch_assoc()) {
        $device_id = isset($row['device_id']) ? $row['device_id'] : 'N/A';
        $manufacturer_name = isset($row['manufacturer_name']) ? $row['manufacturer_name'] : 'N/A';
        $system_name = isset($row['system_name']) ? $row['system_name'] : 'N/A';
        $type_name = isset($row['type_name']) ? $row['type_name'] : 'N/A';
        //I had to look up some things from W3Schools to complete this while loop :)

        echo "<tr>
                <td><a href='details.php?id={$device_id}'>{$row['name']}</a></td>
                <td>{$row['price']}</td>
                <td>{$manufacturer_name}</td>
                <td>{$system_name}</td>
                <td>{$type_name}</td>
             </tr>";
    }
    echo "</table>";

    $conn->close();
    ?>


</div>

</body>

</html>